Table of Contents

Namespace OpenQA.Selenium.DevTools.V146.Network

Classes

AssociatedCookie

A cookie associated with the request which may or may not be sent with it. Includes the cookies itself and reasons for blocking or exemption.

AuthChallenge

Authorization challenge for HTTP status code 401 or 407.

AuthChallengeResponse

Response to an AuthChallenge.

BlockPattern

BlockPattern

BlockedSetCookieWithReason

A cookie which was not stored from a response with the corresponding reason.

CachedResource

Information about the cached resource.

CanClearBrowserCacheCommandResponse

Response for Tells whether clearing browser cache is supported.

CanClearBrowserCacheCommandSettings

Tells whether clearing browser cache is supported.

CanClearBrowserCookiesCommandResponse

Response for Tells whether clearing browser cookies is supported.

CanClearBrowserCookiesCommandSettings

Tells whether clearing browser cookies is supported.

CanEmulateNetworkConditionsCommandResponse

Response for Tells whether emulation of network conditions is supported.

CanEmulateNetworkConditionsCommandSettings

Tells whether emulation of network conditions is supported.

ChallengeEventDetails

Session event details specific to challenges.

ClearAcceptedEncodingsOverrideCommandResponse

Response for Clears accepted encodings set by setAcceptedEncodings

ClearAcceptedEncodingsOverrideCommandSettings

Clears accepted encodings set by setAcceptedEncodings

ClearBrowserCacheCommandResponse

Response for Clears browser cache.

ClearBrowserCacheCommandSettings

Clears browser cache.

ClearBrowserCookiesCommandResponse

Response for Clears browser cookies.

ClearBrowserCookiesCommandSettings

Clears browser cookies.

ClientSecurityState

ClientSecurityState

ConfigureDurableMessagesCommandResponse

Response for Configures storing response bodies outside of renderer, so that these survive a cross-process navigation. If maxTotalBufferSize is not set, durable messages are disabled.

ConfigureDurableMessagesCommandSettings

Configures storing response bodies outside of renderer, so that these survive a cross-process navigation. If maxTotalBufferSize is not set, durable messages are disabled.

ConnectTiming

ConnectTiming

ContentSecurityPolicyStatus

ContentSecurityPolicyStatus

ContinueInterceptedRequestCommandResponse

Response for Response to Network.requestIntercepted which either modifies the request to continue with any modifications, or blocks it, or completes it with the provided response bytes. If a network fetch occurs as a result which encounters a redirect an additional Network.requestIntercepted event will be sent with the same InterceptionId. Deprecated, use Fetch.continueRequest, Fetch.fulfillRequest and Fetch.failRequest instead.

ContinueInterceptedRequestCommandSettings

Response to Network.requestIntercepted which either modifies the request to continue with any modifications, or blocks it, or completes it with the provided response bytes. If a network fetch occurs as a result which encounters a redirect an additional Network.requestIntercepted event will be sent with the same InterceptionId. Deprecated, use Fetch.continueRequest, Fetch.fulfillRequest and Fetch.failRequest instead.

Cookie

Cookie object

CookieParam

Cookie parameter object

CookiePartitionKey

cookiePartitionKey object The representation of the components of the key that are created by the cookiePartitionKey class contained in net/cookies/cookie_partition_key.h.

CorsErrorStatus

CorsErrorStatus

CreationEventDetails

Session event details specific to creation.

CrossOriginEmbedderPolicyStatus

CrossOriginEmbedderPolicyStatus

CrossOriginOpenerPolicyStatus

CrossOriginOpenerPolicyStatus

DataReceivedEventArgs

Fired when data chunk was received over the network.

DeleteCookiesCommandResponse

Response for Deletes browser cookies with matching name and url or domain/path/partitionKey pair.

DeleteCookiesCommandSettings

Deletes browser cookies with matching name and url or domain/path/partitionKey pair.

DeviceBoundSession

A device bound session.

DeviceBoundSessionCookieCraving

A device bound session's cookie craving.

DeviceBoundSessionEventOccurredEventArgs

Triggered when a device bound session event occurs.

DeviceBoundSessionInclusionRules

A device bound session's inclusion rules.

DeviceBoundSessionKey

Unique identifier for a device bound session.

DeviceBoundSessionUrlRule

A device bound session's inclusion URL rule.

DeviceBoundSessionWithUsage

How a device bound session was used during a request.

DeviceBoundSessionsAddedEventArgs

Triggered when the initial set of device bound sessions is added.

DirectTCPSocketAbortedEventArgs

Fired when direct_socket.TCPSocket is aborted.

DirectTCPSocketChunkReceivedEventArgs

Fired when data is received from tcp direct socket stream.

DirectTCPSocketChunkSentEventArgs

Fired when data is sent to tcp direct socket stream.

DirectTCPSocketClosedEventArgs

Fired when direct_socket.TCPSocket is closed.

DirectTCPSocketCreatedEventArgs

Fired upon direct_socket.TCPSocket creation.

DirectTCPSocketOpenedEventArgs

Fired when direct_socket.TCPSocket connection is opened.

DirectTCPSocketOptions

DirectTCPSocketOptions

DirectUDPMessage

DirectUDPMessage

DirectUDPSocketAbortedEventArgs

Fired when direct_socket.UDPSocket is aborted.

DirectUDPSocketChunkReceivedEventArgs

Fired when message is received from udp direct socket stream.

DirectUDPSocketChunkSentEventArgs

Fired when message is sent to udp direct socket stream.

DirectUDPSocketClosedEventArgs

Fired when direct_socket.UDPSocket is closed.

DirectUDPSocketCreatedEventArgs

Fired upon direct_socket.UDPSocket creation.

DirectUDPSocketJoinedMulticastGroupEventArgs

DirectUDPSocketJoinedMulticastGroup

DirectUDPSocketLeftMulticastGroupEventArgs

DirectUDPSocketLeftMulticastGroup

DirectUDPSocketOpenedEventArgs

Fired when direct_socket.UDPSocket connection is opened.

DirectUDPSocketOptions

DirectUDPSocketOptions

DisableCommandResponse

Response for Disables network tracking, prevents network events from being sent to the client.

DisableCommandSettings

Disables network tracking, prevents network events from being sent to the client.

EmulateNetworkConditionsByRuleCommandResponse

Response for Activates emulation of network conditions for individual requests using URL match patterns. Unlike the deprecated Network.emulateNetworkConditions this method does not affect navigator state. Use Network.overrideNetworkState to explicitly modify navigator behavior.

EmulateNetworkConditionsByRuleCommandSettings

Activates emulation of network conditions for individual requests using URL match patterns. Unlike the deprecated Network.emulateNetworkConditions this method does not affect navigator state. Use Network.overrideNetworkState to explicitly modify navigator behavior.

EmulateNetworkConditionsCommandResponse

Response for Activates emulation of network conditions. This command is deprecated in favor of the emulateNetworkConditionsByRule and overrideNetworkState commands, which can be used together to the same effect.

EmulateNetworkConditionsCommandSettings

Activates emulation of network conditions. This command is deprecated in favor of the emulateNetworkConditionsByRule and overrideNetworkState commands, which can be used together to the same effect.

EnableCommandResponse

Response for Enables network tracking, network events will now be delivered to the client.

EnableCommandSettings

Enables network tracking, network events will now be delivered to the client.

EnableDeviceBoundSessionsCommandResponse

Response for Sets up tracking device bound sessions and fetching of initial set of sessions.

EnableDeviceBoundSessionsCommandSettings

Sets up tracking device bound sessions and fetching of initial set of sessions.

EnableReportingApiCommandResponse

Response for Enables tracking for the Reporting API, events generated by the Reporting API will now be delivered to the client. Enabling triggers 'reportingApiReportAdded' for all existing reports.

EnableReportingApiCommandSettings

Enables tracking for the Reporting API, events generated by the Reporting API will now be delivered to the client. Enabling triggers 'reportingApiReportAdded' for all existing reports.

EventSourceMessageReceivedEventArgs

Fired when EventSource message is received.

ExemptedSetCookieWithReason

A cookie should have been blocked by 3PCD but is exempted and stored from a response with the corresponding reason. A cookie could only have at most one exemption reason.

FetchSchemefulSiteCommandResponse

Response for Fetches the schemeful site for a specific origin.

FetchSchemefulSiteCommandSettings

Fetches the schemeful site for a specific origin.

GetAllCookiesCommandResponse

Response for Returns all browser cookies. Depending on the backend support, will return detailed cookie information in the cookies field. Deprecated. Use Storage.getCookies instead.

GetAllCookiesCommandSettings

Returns all browser cookies. Depending on the backend support, will return detailed cookie information in the cookies field. Deprecated. Use Storage.getCookies instead.

GetCertificateCommandResponse

Response for Returns the DER-encoded certificate.

GetCertificateCommandSettings

Returns the DER-encoded certificate.

GetCookiesCommandResponse

Response for Returns all browser cookies for the current URL. Depending on the backend support, will return detailed cookie information in the cookies field.

GetCookiesCommandSettings

Returns all browser cookies for the current URL. Depending on the backend support, will return detailed cookie information in the cookies field.

GetRequestPostDataCommandResponse

Response for Returns post data sent with the request. Returns an error when no data was sent with the request.

GetRequestPostDataCommandSettings

Returns post data sent with the request. Returns an error when no data was sent with the request.

GetResponseBodyCommandResponse

Response for Returns content served for the given request.

GetResponseBodyCommandSettings

Returns content served for the given request.

GetResponseBodyForInterceptionCommandResponse

Response for Returns content served for the given currently intercepted request.

GetResponseBodyForInterceptionCommandSettings

Returns content served for the given currently intercepted request.

GetSecurityIsolationStatusCommandResponse

Response for Returns information about the COEP/COOP isolation status.

GetSecurityIsolationStatusCommandSettings

Returns information about the COEP/COOP isolation status.

Headers

Request / response headers as keys / values of JSON object.

Initiator

Information about the request initiator.

LoadNetworkResourceCommandResponse

Response for Fetches the resource and returns the content.

LoadNetworkResourceCommandSettings

Fetches the resource and returns the content.

LoadNetworkResourceOptions

An options object that may be extended later to better support CORS, CORB and streaming.

LoadNetworkResourcePageResult

An object providing the result of a network resource load.

LoadingFailedEventArgs

Fired when HTTP request has failed to load.

LoadingFinishedEventArgs

Fired when HTTP request has finished loading.

NetworkAdapter

Represents an adapter for the Network domain to simplify the command interface.

NetworkConditions

NetworkConditions

OverrideNetworkStateCommandResponse

Response for Override the state of navigator.onLine and navigator.connection.

OverrideNetworkStateCommandSettings

Override the state of navigator.onLine and navigator.connection.

PolicyUpdatedEventArgs

Fired once security policy has been updated.

PostDataEntry

Post data entry for HTTP request

RefreshEventDetails

Session event details specific to refresh.

ReplayXHRCommandResponse

Response for This method sends a new XMLHttpRequest which is identical to the original one. The following parameters should be identical: method, url, async, request body, extra headers, withCredentials attribute, user, password.

ReplayXHRCommandSettings

This method sends a new XMLHttpRequest which is identical to the original one. The following parameters should be identical: method, url, async, request body, extra headers, withCredentials attribute, user, password.

ReportingApiEndpoint

ReportingApiEndpoint

ReportingApiEndpointsChangedForOriginEventArgs

ReportingApiEndpointsChangedForOrigin

ReportingApiReport

An object representing a report generated by the Reporting API.

ReportingApiReportAddedEventArgs

Is sent whenever a new report is added. And after 'enableReportingApi' for all existing reports.

ReportingApiReportUpdatedEventArgs

ReportingApiReportUpdated

Request

HTTP request data.

RequestInterceptedEventArgs

Details of an intercepted HTTP request, which must be either allowed, blocked, modified or mocked. Deprecated, use Fetch.requestPaused instead.

RequestPattern

Request pattern for interception.

RequestServedFromCacheEventArgs

Fired if request ended up loading from cache.

RequestWillBeSentEventArgs

Fired when page is about to send HTTP request.

RequestWillBeSentExtraInfoEventArgs

Fired when additional information about a requestWillBeSent event is available from the network stack. Not every requestWillBeSent event will have an additional requestWillBeSentExtraInfo fired for it, and there is no guarantee whether requestWillBeSent or requestWillBeSentExtraInfo will be fired first for the same request.

ResourceChangedPriorityEventArgs

Fired when resource loading priority is changed

ResourceTiming

Timing information for the request.

Response

HTTP response data.

ResponseReceivedEarlyHintsEventArgs

Fired when 103 Early Hints headers is received in addition to the common response. Not every responseReceived event will have an responseReceivedEarlyHints fired. Only one responseReceivedEarlyHints may be fired for eached responseReceived event.

ResponseReceivedEventArgs

Fired when HTTP response is available.

ResponseReceivedExtraInfoEventArgs

Fired when additional information about a responseReceived event is available from the network stack. Not every responseReceived event will have an additional responseReceivedExtraInfo for it, and responseReceivedExtraInfo may be fired before or after responseReceived.

SearchInResponseBodyCommandResponse

Response for Searches for given string in response content.

SearchInResponseBodyCommandSettings

Searches for given string in response content.

SecurityDetails

Security details about a request.

SecurityIsolationStatus

SecurityIsolationStatus

ServiceWorkerRouterInfo

ServiceWorkerRouterInfo

SetAcceptedEncodingsCommandResponse

Response for Sets a list of content encodings that will be accepted. Empty list means no encoding is accepted.

SetAcceptedEncodingsCommandSettings

Sets a list of content encodings that will be accepted. Empty list means no encoding is accepted.

SetAttachDebugStackCommandResponse

Response for Specifies whether to attach a page script stack id in requests

SetAttachDebugStackCommandSettings

Specifies whether to attach a page script stack id in requests

SetBlockedURLsCommandResponse

Response for Blocks URLs from loading.

SetBlockedURLsCommandSettings

Blocks URLs from loading.

SetBypassServiceWorkerCommandResponse

Response for Toggles ignoring of service worker for each request.

SetBypassServiceWorkerCommandSettings

Toggles ignoring of service worker for each request.

SetCacheDisabledCommandResponse

Response for Toggles ignoring cache for each request. If true, cache will not be used.

SetCacheDisabledCommandSettings

Toggles ignoring cache for each request. If true, cache will not be used.

SetCookieCommandResponse

Response for Sets a cookie with the given cookie data; may overwrite equivalent cookies if they exist.

SetCookieCommandSettings

Sets a cookie with the given cookie data; may overwrite equivalent cookies if they exist.

SetCookieControlsCommandResponse

Response for Sets Controls for third-party cookie access Page reload is required before the new cookie behavior will be observed

SetCookieControlsCommandSettings

Sets Controls for third-party cookie access Page reload is required before the new cookie behavior will be observed

SetCookiesCommandResponse

Response for Sets given cookies.

SetCookiesCommandSettings

Sets given cookies.

SetExtraHTTPHeadersCommandResponse

Response for Specifies whether to always send extra HTTP headers with the requests from this page.

SetExtraHTTPHeadersCommandSettings

Specifies whether to always send extra HTTP headers with the requests from this page.

SetRequestInterceptionCommandResponse

Response for Sets the requests to intercept that match the provided patterns and optionally resource types. Deprecated, please use Fetch.enable instead.

SetRequestInterceptionCommandSettings

Sets the requests to intercept that match the provided patterns and optionally resource types. Deprecated, please use Fetch.enable instead.

SetUserAgentOverrideCommandResponse

Response for Allows overriding user agent with the given string.

SetUserAgentOverrideCommandSettings

Allows overriding user agent with the given string.

SignedCertificateTimestamp

Details of a signed certificate timestamp (SCT).

SignedExchangeError

Information about a signed exchange response.

SignedExchangeHeader

Information about a signed exchange header. https://wicg.github.io/webpackage/draft-yasskin-httpbis-origin-signed-exchanges-impl.html#cbor-representation

SignedExchangeInfo

Information about a signed exchange response.

SignedExchangeReceivedEventArgs

Fired when a signed exchange was received over the network

SignedExchangeSignature

Information about a signed exchange signature. https://wicg.github.io/webpackage/draft-yasskin-httpbis-origin-signed-exchanges-impl.html#rfc.section.3.1

StreamResourceContentCommandResponse

Response for Enables streaming of the response for the given requestId. If enabled, the dataReceived event contains the data that was received during streaming.

StreamResourceContentCommandSettings

Enables streaming of the response for the given requestId. If enabled, the dataReceived event contains the data that was received during streaming.

TakeResponseBodyForInterceptionAsStreamCommandResponse

Response for Returns a handle to the stream representing the response body. Note that after this command, the intercepted request can't be continued as is -- you either need to cancel it or to provide the response body. The stream only supports sequential read, IO.read will fail if the position is specified.

TakeResponseBodyForInterceptionAsStreamCommandSettings

Returns a handle to the stream representing the response body. Note that after this command, the intercepted request can't be continued as is -- you either need to cancel it or to provide the response body. The stream only supports sequential read, IO.read will fail if the position is specified.

TerminationEventDetails

Session event details specific to termination.

TrustTokenOperationDoneEventArgs

Fired exactly once for each Trust Token operation. Depending on the type of the operation and whether the operation succeeded or failed, the event is fired before the corresponding request was sent or after the response was received.

TrustTokenParams

Determines what type of Trust Token operation is executed and depending on the type, some additional parameters. The values are specified in third_party/blink/renderer/core/fetch/trust_token.idl.

WebSocketClosedEventArgs

Fired when WebSocket is closed.

WebSocketCreatedEventArgs

Fired upon WebSocket creation.

WebSocketFrame

WebSocket message data. This represents an entire WebSocket message, not just a fragmented frame as the name suggests.

WebSocketFrameErrorEventArgs

Fired when WebSocket message error occurs.

WebSocketFrameReceivedEventArgs

Fired when WebSocket message is received.

WebSocketFrameSentEventArgs

Fired when WebSocket message is sent.

WebSocketHandshakeResponseReceivedEventArgs

Fired when WebSocket handshake response becomes available.

WebSocketRequest

WebSocket request data.

WebSocketResponse

WebSocket response data.

WebSocketWillSendHandshakeRequestEventArgs

Fired when WebSocket is about to initiate handshake.

WebTransportClosedEventArgs

Fired when WebTransport is disposed.

WebTransportConnectionEstablishedEventArgs

Fired when WebTransport handshake is finished.

WebTransportCreatedEventArgs

Fired upon WebTransport creation.

Enums

AlternateProtocolUsage

The reason why Chrome uses a specific transport protocol for HTTP semantics.

AuthChallengeResponseResponseValues

Enumerated values for Network.AuthChallengeResponse.response

AuthChallengeSourceValues

Enumerated values for Network.AuthChallenge.source

BlockedReason

The reason why request was blocked.

CertificateTransparencyCompliance

Whether the request complied with Certificate Transparency policy.

ChallengeEventDetailsChallengeResultValues

Enumerated values for Network.ChallengeEventDetails.challengeResult

ConnectionType

The underlying connection technology that the browser is supposedly using.

ContentEncoding

List of content encodings supported by the backend.

ContentSecurityPolicySource

ContentSecurityPolicySource

CookieBlockedReason

Types of reasons why a cookie may not be sent with a request.

CookieExemptionReason

Types of reasons why a cookie should have been blocked by 3PCD but is exempted for the request.

CookiePriority

Represents the cookie's 'Priority' status: https://tools.ietf.org/html/draft-west-cookie-priority-00

CookieSameSite

Represents the cookie's 'SameSite' status: https://tools.ietf.org/html/draft-west-first-party-cookies

CookieSourceScheme

Represents the source scheme of the origin that originally set the cookie. A value of "Unset" allows protocol clients to emulate legacy cookie scope for the scheme. This is a temporary ability and it will be removed in the future.

CorsError

The reason why request was blocked.

CrossOriginEmbedderPolicyValue

CrossOriginEmbedderPolicyValue

CrossOriginOpenerPolicyValue

CrossOriginOpenerPolicyValue

DeviceBoundSessionFetchResult

A fetch result for a device bound session creation or refresh.

DeviceBoundSessionUrlRuleRuleTypeValues

Enumerated values for Network.DeviceBoundSessionUrlRule.ruleType

DeviceBoundSessionWithUsageUsageValues

Enumerated values for Network.DeviceBoundSessionWithUsage.usage

DirectSocketDnsQueryType

DirectSocketDnsQueryType

ErrorReason

Network level fetch failure reason.

IPAddressSpace

IPAddressSpace

InitiatorTypeValues

Enumerated values for Network.Initiator.type

InterceptionStage

Stages of the interception to begin intercepting. Request will intercept before the request is sent. Response will intercept after the response is received.

LocalNetworkAccessRequestPolicy

LocalNetworkAccessRequestPolicy

RefreshEventDetailsRefreshResultValues

Enumerated values for Network.RefreshEventDetails.refreshResult

RenderBlockingBehavior

The render blocking behavior of a resource request.

ReportStatus

The status of a Reporting API report.

RequestReferrerPolicyValues

Enumerated values for Network.Request.referrerPolicy

ResourcePriority

Loading priority of a resource request.

ResourceType

Resource type as it was perceived by the rendering engine.

ServiceWorkerResponseSource

Source of serviceworker response.

ServiceWorkerRouterSource

Source of service worker router.

SetCookieBlockedReason

Types of reasons why a cookie may not be stored from a response.

SignedExchangeErrorField

Field type for a signed exchange related error.

TerminationEventDetailsDeletionReasonValues

Enumerated values for Network.TerminationEventDetails.deletionReason

TrustTokenOperationType

TrustTokenOperationType

TrustTokenParamsRefreshPolicyValues

Enumerated values for Network.TrustTokenParams.refreshPolicy